Page MenuHomePhabricator

Homepage: open user and user talk in reading mode from mobile
Closed, ResolvedPublic

Description

Until the user creates their user page, tapping on the User page or Discussion tabs lead user to User page or Talk page editor, instead of unactivated state of those pages.

Event Timeline

SBisson created this task.Jun 12 2019, 7:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2019, 7:10 PM
MMiller_WMF renamed this task from Until the user creates their user page, tapping on the User page or Discussion tabs lead user to User page or Talk page editor, instead of unactivated state of those pages. to Homepage: open user and user talk in reading mode from mobile.Jun 12 2019, 10:21 PM
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
MMiller_WMF added subscribers: Catrope, Etonkovidova, Cntlsn and 3 others.

Do we want to change this only for mobile? Do we want the desktop tabs to open the editor (like regular redlinks)?

@SBisson -- yes we want this to be different on mobile and desktop, because that is the way it works now (without the homepage): on desktop, those pages open the editor, and on mobile they show different kinds of landing pages in reading mode.

Change 516953 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Make mobile user/talk links open in view mode

https://gerrit.wikimedia.org/r/516953

JTannerWMF moved this task from Needs triage to Triaged on the Mobile board.Jun 14 2019, 11:35 AM

Change 516953 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Make mobile user/talk links open in view mode

https://gerrit.wikimedia.org/r/516953

The task specifies that

Until the user creates their user page, tapping on the User page or Discussion tabs lead user to User page or Talk page editor, instead of unactivated state of those pages.

From @MMiller_WMF comment - opening User and Discussion pages in mobile should behave exactly as they behave without Homepage enabled. This behavior has been implemented.

@Cntlsn - please review the following. User talk page opens in editor but it's consistent with how opening User talk page behaves when Homepage is not enabled.

The current behavior for opening User and Discussion tabs from Homepage is as following:
A user, who does not have User and User talk pages, clicks from Homepage on
(1) User tab :

(2) Discussion tab - Talk page opens in editor:

(3) Clicking Homepage->Start module-> 'Create user page 'opens User page in editor (it's correct, but checked for consistency).

(2) Discussion tab - Talk page opens in editor:

This is what we usually call the "talk overlay"

Opening in edit mode would look like this:

This looks good to me. Leaving this in Needs PM Review until after everything is in Czech and Korean Wikipedia and working fine.

MMiller_WMF closed this task as Resolved.Jul 3 2019, 11:48 PM

Looks good in Korean Wikipedia.